SolrQuery::getHighlightAlternateField
SolrQuery::getHighlightFormatter
SolrQuery
PHP Manual

# SolrQuery::getHighlightFields

Returns all the fields that Solr should generate highlighted snippets for

### Description

public array SolrQuery::getHighlightFields ( void )

Returns all the fields that Solr should generate highlighted snippets for

### Parameters

This function has no parameters.

### Return Values

Returns an array on success and `NULL` if not set.